# AttributeGroups

Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels. Eg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose.

## GET /v1/attributegroups

> Get all attribute groups in the system

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AttributeGroups","description":"Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels.\r\nEg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeGroup":{"type":"object","properties":{"Id":{"type":"integer","description":"Assigned sequential id of attribute group (is unique)","format":"int32"},"Uid":{"type":"string","description":"Unique uid of attribute group","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute group","nullable":true},"BackofficeName":{"type":"string","description":"Name of attribute group shown in the backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"Description of attribute group shown in the backoffice","nullable":true},"SortOrder":{"type":"integer","description":"Sort order of the attribute group used to sort attribute groups between each other","format":"int32"},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Localized name of attribute group used for displaying the attribute group on ex. a webshop (Dictionary of ISO culturecode and localized name)","nullable":true}},"additionalProperties":false,"description":"Represents an attribute group used to organize attributes within"}}},"paths":{"/v1/attributegroups":{"get":{"tags":["AttributeGroups"],"summary":"Get all attribute groups in the system","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeGroup"}}}}}}}}}}
```

## POST /v1/attributegroups

> Create an attribute group

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AttributeGroups","description":"Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels.\r\nEg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeGroup":{"type":"object","properties":{"Id":{"type":"integer","description":"Assigned sequential id of attribute group (is unique)","format":"int32"},"Uid":{"type":"string","description":"Unique uid of attribute group","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute group","nullable":true},"BackofficeName":{"type":"string","description":"Name of attribute group shown in the backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"Description of attribute group shown in the backoffice","nullable":true},"SortOrder":{"type":"integer","description":"Sort order of the attribute group used to sort attribute groups between each other","format":"int32"},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Localized name of attribute group used for displaying the attribute group on ex. a webshop (Dictionary of ISO culturecode and localized name)","nullable":true}},"additionalProperties":false,"description":"Represents an attribute group used to organize attributes within"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributegroups":{"post":{"tags":["AttributeGroups"],"summary":"Create an attribute group","requestBody":{"description":"Attribute group to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeGroup"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /v1/attributegroups

> Update an attribute group

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AttributeGroups","description":"Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels.\r\nEg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeGroup":{"type":"object","properties":{"Id":{"type":"integer","description":"Assigned sequential id of attribute group (is unique)","format":"int32"},"Uid":{"type":"string","description":"Unique uid of attribute group","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute group","nullable":true},"BackofficeName":{"type":"string","description":"Name of attribute group shown in the backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"Description of attribute group shown in the backoffice","nullable":true},"SortOrder":{"type":"integer","description":"Sort order of the attribute group used to sort attribute groups between each other","format":"int32"},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Localized name of attribute group used for displaying the attribute group on ex. a webshop (Dictionary of ISO culturecode and localized name)","nullable":true}},"additionalProperties":false,"description":"Represents an attribute group used to organize attributes within"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributegroups":{"put":{"tags":["AttributeGroups"],"summary":"Update an attribute group","requestBody":{"description":"Updated attribute group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeGroup"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /v1/attributegroups

> Delete an attribute group

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AttributeGroups","description":"Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels.\r\nEg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributegroups":{"delete":{"tags":["AttributeGroups"],"summary":"Delete an attribute group","parameters":[{"name":"id","in":"query","description":"Id of attribute group to delete","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /v1/attributegroups/{id}

> Get a attribute group from its id

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AttributeGroups","description":"Attribute groups are used to organize attributes in the system for easy presentation in groups on different channels.\r\nEg. if you want to display a long list of technical specifications, but grouped under different headlines, attribute groups are here for that purpose."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Attribute.AttributeGroup":{"type":"object","properties":{"Id":{"type":"integer","description":"Assigned sequential id of attribute group (is unique)","format":"int32"},"Uid":{"type":"string","description":"Unique uid of attribute group","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute group","nullable":true},"BackofficeName":{"type":"string","description":"Name of attribute group shown in the backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"Description of attribute group shown in the backoffice","nullable":true},"SortOrder":{"type":"integer","description":"Sort order of the attribute group used to sort attribute groups between each other","format":"int32"},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Localized name of attribute group used for displaying the attribute group on ex. a webshop (Dictionary of ISO culturecode and localized name)","nullable":true}},"additionalProperties":false,"description":"Represents an attribute group used to organize attributes within"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/attributegroups/{id}":{"get":{"tags":["AttributeGroups"],"summary":"Get a attribute group from its id","parameters":[{"name":"id","in":"path","description":"Id of attribute group to get","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.AttributeGroup"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/api-reference/endpoints/attributegroups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
